# net2elk
## network tool for generate logs in elasticsearch as tcpdump

Project developed exclusively for educational purposes, use at your own risk

To configure the elasticsearch acces edit the file _net-logger/src/elk/elasticsearch.rs_

## Prerequisites

1. Install bpf-linker: `cargo install bpf-linker`

## Build eBPF

```bash
cargo xtask build-ebpf
```

To perform a release build you can use the `--release` flag.
You may also change the target architecture with the `--target` flag.

## Build Userspace

```bash
cargo build
```

## Build eBPF and Userspace

```bash
cargo xtask build
```

## Run

```bash
RUST_LOG=info cargo xtask run
```

## elasticsearch

To configure the elasticsearch acces edit the file _net-logger/src/elk/elasticsearch.rs_
